<?php
class Captcha
{
    public static function GetCaptcha()
    {
        $width = 67;                //Ширина изображения
        $height = 32;               //Высота изображения
        $font_size = 16;            //Размер шрифта
        $let_amount = 3;            //Количество символов, которые нужно набрать
        $fon_let_amount = 0;        //Количество символов на фоне
        $font = "web/templates/default/fonts/epilog.ttf";   //Путь к шрифту

        //набор символов
        $letters = array("a","b","c","d","e","f","g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q" , "r", "s", "t", "u", "v", "w", "x", "y", "z", "0", "1", "2", "3", "4", "5", "6", "7", "8", "9");
        //цвета
        $colors = array("255");

        $src = imagecreatetruecolor($width,$height);    //создаем изображение
        // imagefill($src,0,0,$fon);    
                            //заливаем изображение фоном
        if(isset($_SESSION['captcha']))
            $_SESSION['captcha'] = 0;
        $transparent = imagecolorallocatealpha($src, 51, 51, 51, 0.4);
        imagefill($src, 0, 0, $transparent);

        imagesavealpha($src, true);

        for($i=0;$i < $let_amount;$i++)     //то же самое для основных букв
        {
            $color = imagecolorallocatealpha($src,$colors[rand(0,sizeof($colors)-1)],
                $colors[rand(0,sizeof($colors)-1)],
                $colors[rand(0,sizeof($colors)-1)],rand(20,40));
            $letter = $letters[rand(0,sizeof($letters)-1)];
            $size = $font_size;
            $x = ($i+2)*$font_size-20;// + rand(1,5);       //даем каждому символу случайное смещение
            $y = (($height*2)/3);// + rand(0,5);
            $cod[] = $letter;                           //запоминаем код
            imagettftext($src,$size,rand(0,15),$x,$y,$color, $font ,$letter);
        }

        $cod = implode("",$cod);                    //переводим код в строку
        $_SESSION['captcha'] = $cod;
        header ("Content-type: image/png");         //выводим готовую картинку
        imagepng($src);

    }
}

